Subject: Re: linux-next: manual merge of the block tree with the asm-generic tree

From: Jens Axboe <[email-masked]>
Date: Mon, 9 Oct 2023 08:16:25 -0600

On 10/9/23 8:13 AM, Peter Zijlstra wrote:
> On Mon, Oct 09, 2023 at 11:00:19AM +0200, Arnd Bergmann wrote:
>> On Mon, Oct 9, 2023, at 10:48, Peter Zijlstra wrote:
>>> On Mon, Oct 09, 2023 at 12:31:18PM +1100, Stephen Rothwell wrote:
>>>> diff --cc arch/alpha/kernel/syscalls/syscall.tbl
>>>> index 5d05ab716a74,b1865f9bb31e..000000000000
>>>> --- a/arch/alpha/kernel/syscalls/syscall.tbl
>>>> +++ b/arch/alpha/kernel/syscalls/syscall.tbl
>>>> @@@ -492,4 -492,6 +492,7 @@@
>>>>   560	common	set_mempolicy_home_node		sys_ni_syscall
>>>>   561	common	cachestat			sys_cachestat
>>>>   562	common	fchmodat2			sys_fchmodat2
>>>>  -563	common	futex_wake			sys_futex_wake
>>>>  -564	common	futex_wait			sys_futex_wait
>>>>  -565	common	futex_requeue			sys_futex_requeue
>>>>  +563	common	map_shadow_stack		sys_map_shadow_stack
>>>> ++564	common	futex_wake			sys_futex_wake
>>>> ++565	common	futex_wait			sys_futex_wait
>>>> ++566	common	futex_requeue			sys_futex_requeue
>>>
>>> So this renumbers the (futex) stuff on Alpha, does anybody care? AFAICT
>>> Alpha does not follow the unistd order and meh.
>>
>> Let's not make it worse for now. All the numbers since the
>> introduction of the time64 syscalls are offset by exactly 120
>> on alpha, and I'd prefer to keep it that way for the moment.
>>
>> I still hope to eventually finish the conversion of all architectures
>> to a single syscall.tbl for numbers >400, and if that happens before
>> the end of alpha, a different ordering would just be extra pain.
> 
> Fair enough; should we look at rebase those futex patches for this? (bit
> of a pain as that would also mean rebasing block)

>From my point of view, this isn't a huge problem if we do it now. The
io_uring-futex branch is a separate branch and I have nothing on top of
it, so I could easily just re-pull your updated branch and rebase my
changes on top.

> Or do we want to keep this fixup in the merge resolution and make sure
> Linus is aware?

If you're OK with it, I'd say let's rebase and save ourselves the
trouble at merge time.

-- 
Jens Axboe